
typedef enum MPGVER { MPEG_VERSION_UNKNOWN = 0, MPEG_VERSION_1 = 1,
		      MPEG_VERSION_2 = 2, MPEG_VERSION_25 = 3 } MPGVER;

typedef enum MPGMODE { MPEG_MD_STEREO = 0, MPEG_MD_JOINT_STEREO = 1,
		       MPEG_MD_DUAL_CHANNEL = 2, MPEG_MD_MONO = 3 } MPGMODE;

typedef struct MPEGDATA {
  unsigned long ver, layer, sampleRate, mode, copyright;
  unsigned long original, errorProt, padding, bitRate;
  unsigned long frameLen, fileLen, duration;
  char durationText[16];
  char bitRateText[16];
} MPEGDATA;

int GetMP3Info(FILE *fp, MPEGDATA *data);

